## ros-one-mongodb-store-msgs 0.6.0-3jammy.20251023.0322

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mongodb_store_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation actionlib actionlib_msgs)

add_message_files(
  FILES
  StringList.msg
  StringPair.msg
  StringPairList.msg
  SerialisedMessage.msg
  Insert.msg
)

add_service_files(
  FILES
  MongoInsertMsg.srv
  MongoUpdateMsg.srv
  MongoQueryMsg.srv
  MongoQuerywithProjectionMsg.srv
  MongoDeleteMsg.srv
)

add_action_files(
  FILES
  MoveEntries.action
)


generate_messages(DEPENDENCIES actionlib_msgs)

catkin_package(
 CATKIN_DEPENDS message_generation
)

=== debian/changelog ===
ros-one-mongodb-store-msgs (0.6.0-3jammy.20251023.0322) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 23 Oct 2025 03:22:17 +0000

ros-one-mongodb-store-msgs (0.6.0-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 20 Sep 2022 00:00:00 -0000

ros-one-mongodb-store-msgs (0.5.2-0jammy) jammy; urgency=high

  * Contributors: Nick Hawes, Shingo Kitagawa, Volker Gabler

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Mon, 11 Nov 2019 00:00:00 -0000

ros-one-mongodb-store-msgs (0.5.1-0jammy) jammy; urgency=high

  * Merge remote-tracking branch 'orginal/melodic-devel' into melodic-devel-py3
  * Contributors: Volker Gabler

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Fri, 28 Jun 2019 00:00:00 -0000

ros-one-mongodb-store-msgs (0.5.0-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 20 Dec 2018 00:00:00 -0000

ros-one-mongodb-store-msgs (0.4.5-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Fri, 28 Jun 2019 00:00:00 -0000

ros-one-mongodb-store-msgs (0.4.3-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 04 Apr 2019 00:00:00 -0000

ros-one-mongodb-store-msgs (0.4.2-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Mon, 04 Jun 2018 00:00:00 -0000

ros-one-mongodb-store-msgs (0.4.1-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 29 May 2018 00:00:00 -0000

ros-one-mongodb-store-msgs (0.4.0-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 23 May 2018 00:00:00 -0000

ros-one-mongodb-store-msgs (0.3.8-0jammy) jammy; urgency=high

  * Merge pull request #220 <https://github.com/strands-project/mongodb_store/issues/220> from furushchev/replication-with-query
    Replication with query
  * mongodb_store_msgs: add query slot to MoveEntries action
  * Merge remote-tracking branch 'origin/kinetic-devel' into fix/encode-utf8
  * Merge remote-tracking branch 'origin/kinetic-devel' into option-query-extra
    Conflicts:
    mongodb_store/scripts/message_store_node.py
  * Merge pull request #215 <https://github.com/strands-project/mongodb_store/issues/215> from furushchev/remove-dup-projection
    mongodb_store: Remove duplicated codes for projection
  * mongodb_store: remove duplicated codes for querying with projection
  * Contributors: Furushchev, Nick Hawes

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 02 May 2018 00:00:00 -0000

ros-one-mongodb-store-msgs (0.3.7-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 14 Dec 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.3.6-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 14 Sep 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.3.5-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Sun, 03 Sep 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.3.4-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Sun, 03 Sep 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.3.3-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Sat, 02 Sep 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.3.2-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 31 Aug 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.3.1-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 24 Aug 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.3.0-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 24 Aug 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.2.2-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 28 Jun 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.2.1-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 28 Jun 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.2.0-0jammy) jammy; urgency=high

  * indigo-0.1.30
  * updated Changelogs
  * indigo-0.1.29
  * updated Changelogs
  * [mongodb_store_msgs] add Insert.msg
  * indigo-0.1.28
  * updated Changelogs
  * indigo-0.1.27
  * updated Changelogs
  * Contributors: Nick Hawes, Yuki Furuta

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 28 Jun 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.1.30-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Fri, 23 Jun 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.1.29-0jammy) jammy; urgency=high

  * [mongodb_store_msgs] add Insert.msg
  * Contributors: Nick Hawes, Yuki Furuta

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Mon, 19 Jun 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.1.28-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 09 Nov 2016 00:00:00 -0000

ros-one-mongodb-store-msgs (0.1.27-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 01 Nov 2016 00:00:00 -0000

ros-one-mongodb-store-msgs (0.1.26-0jammy) jammy; urgency=high

  * Created a new service for querying with projections
  * Projection field to the queries is added
  * indigo-0.1.25
  * Updating changelogs
  * indigo-0.1.24
  * updated Changelogs
  * Contributors: Nick Hawes, hkaraoguz

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Fri, 14 Oct 2016 00:00:00 -0000

ros-one-mongodb-store-msgs (0.1.25-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 28 Apr 2016 00:00:00 -0000

ros-one-mongodb-store-msgs (0.1.24-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 19 Apr 2016 00:00:00 -0000

ros-one-mongodb-store-msgs (0.1.23-0jammy) jammy; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 19 Apr 2016 00:00:00 -0000

ros-one-mongodb-store-msgs (0.1.22-0jammy) jammy; urgency=high

  * indigo-0.1.22
  * updated Changelogs
  * Contributors: Nick Hawes

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 23 Feb 2016 00:00:00 -0000

ros-one-mongodb-store-msgs (0.1.20-0jammy) jammy; urgency=high





=== debian/control ===
Source: ros-one-mongodb-store-msgs
Section: misc
Priority: optional
Maintainer: Nick Hawes <nickh@robots.ox.ac.uk>
Build-Depends: debhelper (>= 9.0.0), ros-one-actionlib, ros-one-actionlib-msgs, ros-one-catkin, ros-one-message-generation
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-mongodb-store-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-actionlib-msgs, ros-one-message-generation, ros-one-message-runtime
Description: The mongodb_store_msgs package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-mongodb-store-msgs//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-mongodb-store-msgs 0.6.0-3jammy.20260221.0002

=== debian/changelog ===
ros-one-mongodb-store-msgs (0.6.0-3jammy.20260221.0002) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Sat, 21 Feb 2026 00:02:36 +0000

## ros-one-mongodb-store-msgs 0.6.0-3noble.20251023.0319

=== debian/changelog ===
ros-one-mongodb-store-msgs (0.6.0-3noble.20251023.0319) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 23 Oct 2025 03:19:42 +0000

ros-one-mongodb-store-msgs (0.6.0-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 20 Sep 2022 00:00:00 -0000

ros-one-mongodb-store-msgs (0.5.2-0noble) noble; urgency=high

  * Contributors: Nick Hawes, Shingo Kitagawa, Volker Gabler

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Mon, 11 Nov 2019 00:00:00 -0000

ros-one-mongodb-store-msgs (0.5.1-0noble) noble; urgency=high

  * Merge remote-tracking branch 'orginal/melodic-devel' into melodic-devel-py3
  * Contributors: Volker Gabler

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Fri, 28 Jun 2019 00:00:00 -0000

ros-one-mongodb-store-msgs (0.5.0-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 20 Dec 2018 00:00:00 -0000

ros-one-mongodb-store-msgs (0.4.5-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Fri, 28 Jun 2019 00:00:00 -0000

ros-one-mongodb-store-msgs (0.4.3-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 04 Apr 2019 00:00:00 -0000

ros-one-mongodb-store-msgs (0.4.2-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Mon, 04 Jun 2018 00:00:00 -0000

ros-one-mongodb-store-msgs (0.4.1-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 29 May 2018 00:00:00 -0000

ros-one-mongodb-store-msgs (0.4.0-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 23 May 2018 00:00:00 -0000

ros-one-mongodb-store-msgs (0.3.8-0noble) noble; urgency=high

  * Merge pull request #220 <https://github.com/strands-project/mongodb_store/issues/220> from furushchev/replication-with-query
    Replication with query
  * mongodb_store_msgs: add query slot to MoveEntries action
  * Merge remote-tracking branch 'origin/kinetic-devel' into fix/encode-utf8
  * Merge remote-tracking branch 'origin/kinetic-devel' into option-query-extra
    Conflicts:
    mongodb_store/scripts/message_store_node.py
  * Merge pull request #215 <https://github.com/strands-project/mongodb_store/issues/215> from furushchev/remove-dup-projection
    mongodb_store: Remove duplicated codes for projection
  * mongodb_store: remove duplicated codes for querying with projection
  * Contributors: Furushchev, Nick Hawes

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 02 May 2018 00:00:00 -0000

ros-one-mongodb-store-msgs (0.3.7-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 14 Dec 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.3.6-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 14 Sep 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.3.5-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Sun, 03 Sep 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.3.4-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Sun, 03 Sep 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.3.3-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Sat, 02 Sep 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.3.2-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 31 Aug 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.3.1-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 24 Aug 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.3.0-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 24 Aug 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.2.2-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 28 Jun 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.2.1-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 28 Jun 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.2.0-0noble) noble; urgency=high

  * indigo-0.1.30
  * updated Changelogs
  * indigo-0.1.29
  * updated Changelogs
  * [mongodb_store_msgs] add Insert.msg
  * indigo-0.1.28
  * updated Changelogs
  * indigo-0.1.27
  * updated Changelogs
  * Contributors: Nick Hawes, Yuki Furuta

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 28 Jun 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.1.30-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Fri, 23 Jun 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.1.29-0noble) noble; urgency=high

  * [mongodb_store_msgs] add Insert.msg
  * Contributors: Nick Hawes, Yuki Furuta

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Mon, 19 Jun 2017 00:00:00 -0000

ros-one-mongodb-store-msgs (0.1.28-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 09 Nov 2016 00:00:00 -0000

ros-one-mongodb-store-msgs (0.1.27-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 01 Nov 2016 00:00:00 -0000

ros-one-mongodb-store-msgs (0.1.26-0noble) noble; urgency=high

  * Created a new service for querying with projections
  * Projection field to the queries is added
  * indigo-0.1.25
  * Updating changelogs
  * indigo-0.1.24
  * updated Changelogs
  * Contributors: Nick Hawes, hkaraoguz

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Fri, 14 Oct 2016 00:00:00 -0000

ros-one-mongodb-store-msgs (0.1.25-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 28 Apr 2016 00:00:00 -0000

ros-one-mongodb-store-msgs (0.1.24-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 19 Apr 2016 00:00:00 -0000

ros-one-mongodb-store-msgs (0.1.23-0noble) noble; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 19 Apr 2016 00:00:00 -0000

ros-one-mongodb-store-msgs (0.1.22-0noble) noble; urgency=high

  * indigo-0.1.22
  * updated Changelogs
  * Contributors: Nick Hawes

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 23 Feb 2016 00:00:00 -0000

ros-one-mongodb-store-msgs (0.1.20-0noble) noble; urgency=high





## ros-one-mongodb-store-msgs 0.6.0-3noble.20260221.0028

=== debian/changelog ===
ros-one-mongodb-store-msgs (0.6.0-3noble.20260221.0028) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Sat, 21 Feb 2026 00:28:20 +0000
